| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMProcessingInstruction Class Reference

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document. More...

Inheritance diagram for DOMProcessingInstruction:

[legend]
Collaboration diagram for DOMProcessingInstruction:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMProcessingInstruction ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getTarget () const=0
| The target of this processing instruction.
virtual const XMLCh * | getData () const=0
| The content of this processing instruction.
virtual void | setData (const XMLCh *data)=0
| Sets the content of this processing instruction.

## Protected Methods

Hidden constructors
| DOMProcessingInstruction ()

## Detailed Description

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMProcessingInstruction::DOMProcessingInstruction | ( |  | ) | `[protected]`

virtual DOMProcessingInstruction::~DOMProcessingInstruction | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual const XMLCh* DOMProcessingInstruction::getData | ( |  | ) | `[pure virtual]`

The content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Exceptions:

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Since:
  DOM Level 1

virtual const XMLCh* DOMProcessingInstruction::getTarget | ( |  | ) | `[pure virtual]`

The target of this processing instruction.

XML defines this as being the first token following the markup that begins the processing instruction.

Since:
  DOM Level 1

virtual void DOMProcessingInstruction::setData | ( | const XMLCh * | data | ) | `[pure virtual]`

Sets the content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Parameters:

  data | The string containing the processing instruction

Since:
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMProcessingInstruction.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.